<template>
  <div>
    <status-indicator-tag
      v-if="task.isPending() && task.isPostponed"
      @click="modals.show('picker', $event)"
      class="text-sm"
      status="deemphasized"
    >
      <i :class="`hero solid arrow-circle-right mr-2 ${task.isPending() ? '' : ''}`"></i>
      <div>
        {{ task.postponedUntil?.toLocaleString({ weekday: "short", month: "short", day: "2-digit" }) }}
      </div>
    </status-indicator-tag>
    <modal :is="modals.get('picker')" :task="task" />
  </div>
</template>

<script lang="ts">
import Picker from "./TaskPostponedPicker.vue";
import { useModals } from "@/use/modal";
import Task from "@/models/Task";
import Tag from "@/components/Tag.vue";
import StatusIndicatorTag from "../StatusIndicatorTag.vue";

export default {
  components: { Tag, StatusIndicatorTag },
  props: {
    task: {
      type: Task,
      required: true
    }
  },
  setup(props) {
    const modals = useModals({ Picker });
    return {
      modals
    };
  }
};
</script>
